centr_betw {igraph} | R Documentation

## Centralize a graph according to the betweenness of vertices

### Description

See `centralize` for a summary of graph centralization.

### Usage

    centr_betw(graph, directed = TRUE, nobigint = TRUE, normalized = TRUE)

### Arguments

`graph` | The input graph.
`directed` | logical scalar, whether to use directed shortest paths for calculating betweenness.
`nobigint` | Logical scalar, whether to use big integers for the betweenness calculation. This argument is passed to the `betweenness` function.
`normalized` | Logical scalar. Whether to normalize the graph level centrality score by dividing by the theoretical maximum.

### Value

A named list with the following components:

`res` | The node-level centrality scores.
`centralization` | The graph level centrality index.
`theoretical_max` | The maximum theoretical graph level centralization score for a graph with the given number of vertices, using the same parameters. If the `normalized` argument was `TRUE`, then the result was divided by this number.

### See Also

Other centralization related: `centr_betw_tmax`, `centralization.betweenness.tmax`; `centr_clo_tmax`, `centralization.closeness.tmax`; `centr_clo`, `centralization.closeness`; `centr_degree_tmax`, `centralization.degree.tmax`; `centr_degree`, `centralization.degree`; `centr_eigen_tmax`, `centralization.evcent.tmax`; `centr_eigen`, `centralization.evcent`; `centralization`, `centralize`, `centralize.scores`

### Examples

    # A BA graph is quite centralized
    g <- sample_pa(1000, m = 4)
    centr_degree(g)$centralization
    centr_clo(g, mode = "all")$centralization
    centr_betw(g, directed = FALSE)$centralization
    centr_eigen(g, directed = FALSE)$centralization

[Package igraph version 1.0.1 Index]